The LliurexMaker
=============

Explanation
-----------

At [LliureX](http://lliurex.net/ "LliureX") we frequently build a distribution ISO. This ISO is cooked with some ingredients.
These ingredients are explained here.

# Repositories #

First, you need some debian repositories. This ingredient can be provided from debian.org / ubuntu.com / ppa _launchpad_, or whatever.
If you have a personal repositori (via **reprepro** for example), you can add this to the ISO.

This repositories must be with the same *flavour* as the ISO. 

## For example: ##

	Codename: precise
	Suite: precise
	Version: 13.06
	Origin: Precise packages and LliureX Modifications
	Label: LliureX Based on Precise Pangolin
	Description: LliureX Packages and Precise Modifications
	Architectures: i386 source amd64
	Components: main restricted universe multiverse partner
	Update: ppa-mirror precise precise-updates precise-security
	SignWith:9A27AA33

### Field-by-field ###

	Codename: precise

This field: _Codename_ is the codename of the distribution **obviously**, at Ubuntu mirrors this field contains the 
"Animal" adjetive:

* Precise
* Quantal
* Raring

	Suite: precise

This field contains the *parent* distribution, in case of *DEBIAN* **unstable**, **testing**,... are good suites.

	Version: 13.06

This is the numeric version of distribution, in Ubuntu this number shows the *year/month* release date.

* 11.04
* 12.04 *Precise Pangolin*	
* 12.10	*Quantal Quetzal*

	Origin: LliureX Based on Precise Pangolin

This field is informative.

	Description: LliureX Packages and Precise Modifications

This field is informative.

	Architectures: i386 source amd64

This field indicates the Architectures and sources for the distribution mirror.

	Components: main restricted universe multiverse partner

Components that can be referenced under our distro.

	Update: ppa-mirror precise precise-updates precise-security

Update rules (see below).

	SignWith:9A27AA33

Sign the mirror *Release.gpg* with the chosen key. 


# Package lists #

Package lists are the lists of packages that will be installed inside the ISO, into the chroot system. This list can be so long, or shorter, as your Metapackage System be.

For example:

	#include <minimal>
	lliurex-cdd-edu-gdesktop
	lliurex-live-ubiquity
	ubiquity-casper
	ubiquity-frontend-gtk

Is the content of *lliurex-cdd-edu-gdesktop* list. This list contains all packages that take part into a *ISO* or *Custom Distribution*.

Has not gone unnoticed for the sharpie coder, that ubiquity and packages relative to *live under casper* are not inside the *Custom Distribution Metapackage* (in this case _lliurex-cdd-edu-gdesktop_). 

# Preseeds # 

This section is for the *debconf* package-question-answers system. 

# Live Builder #

# Your ISO is ready! #
